View Issue Details

IDProjectCategoryView StatusLast Update
0001529Far ManagerMacropublic2011-12-23 15:07
ReporterDAtaManAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001529: Неправильное действие макрофункции setposidx
DescriptionЕсли на панели отображаются только файлы, то функция устанавливает позицию на единицу большую.
Steps To Reproduce1. Устанавливаем на панелях один и тот же каталог, встаем на какой-либо элемент.
2. Вызываем макрос %i=panel.fexist(1,APanel.Current); $if (%i) print("fexist="+%i); panel.setposidx(1,%i); tab print(", curpos="+APanel.CurPos+", ") print(" setposidx="+Panel.setposidx(0,0,0)+"; ") $end
Всё правильно.
3. Включаем на панелях отображение только файлов CtrlI 0 Minus Enter
4. Вызываем макрос - индексы не совпадают.
TagsNo tags attached.
Build2209

Relationships

related to 0002543 closed2useven10 неверная работа Panel.SetPosIdx при включенном фильтре в панели 

Activities

vskirdin

2011-10-01 11:38

administrator   bugnote:0007799

погоняй ка вот эту версию: http://skirda-file.googlecode.com/files/Mantis1529.rar

vskirdin

2011-10-03 12:03

administrator   bugnote:0007811

build 2209

Issue History

Date Modified Username Field Change
2010-10-03 02:47 DAtaMan New Issue
2011-10-01 11:38 vskirdin Note Added: 0007799
2011-10-01 11:38 vskirdin Assigned To => vskirdin
2011-10-01 11:38 vskirdin Status new => feedback
2011-10-03 12:03 vskirdin Note Added: 0007811
2011-12-23 15:07 alexy Build => 2209
2011-12-23 15:07 alexy Status feedback => closed
2011-12-23 15:07 alexy Resolution open => fixed
2011-12-23 15:07 alexy Fixed in Version => 3.0
2013-12-07 22:45 shmuel Relationship added related to 0002543